Zoho crm Logo

更新资料权限

目的

要更新您的Zoho CRM账户中某个资料的权限。

端点

  • PUT /settings/profiles/{profile_ID}

请求详情

请求 URL

{api-domain}/crm/{version}/settings/profiles/{profile_ID}
其中,profile-id 是您想要更新权限的现有角色的唯一 ID。请使用 获取角色 API 来获取该 ID。

标题

授权:Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

范围

ZohoCRM.settings.profiles.ALL
(或)
ZohoCRM.settings.profiles.UPDATE

示例请求

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/profiles/3652397000009592005"
-X PUT
-d "@update.json"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

输入 JSON

  • name字符串,可选

    配置文件名称。

  • permissions_detailsJSON 数组,必填
    • id-字符串,必填 - 要为此配置文件启用或禁用的权限ID。permission_details 键可在获取配置文件 API 的响应中提供配置文件可用的每一个权限ID。
    • enabled-布尔值,必填 - 用于为此配置文件启用或禁用权限的布尔键。

注意

您可以在一次 API 调用中更新一个档案。

注意

您每次 API 调用只能更新一个个人资料。

示例输入

Copied{
    "profiles": [
        {
            "name": "Standard",
            "permissions_details": [
                {
                    "id": "3652397000000026530",
                    "enabled": true
                }
            ]
        }
    ]
}

可能的错误

示例响应

Copied{
    "profiles": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "3652397000009592005"
            },
            "message": "profile updated successfully",
            "status": "success"
        }
    ]
}